View Issue Details

IDProjectCategoryLast Update
0021490AI War 2[All Projects] SuggestionAug 15, 2019 9:53 am
ReporterBadgerBadgerAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.880 Belatedly Finding Friends... And Enemies 
Fixed in Version0.882-0.883 Research and Reconquest 
Summary0021490: Usurpers rebuild everything instantly
DescriptionIf a usurper rebuilds the AI command station then the AI planet immediately gets all its defenses back. This can be really annoying for high-mark planets. It would be good to have the rebuild happen gradually, so you have a better chance of disrupting the rebuild.

This is one of the things that makes freeing the Dyson Sphere less rewarding.
TagsNo tags attached.

Relationships

related to 0020968 resolvedBadgerBadger Instead of an AI reconquired planet getting everything instantly, rebuild over time 

Activities

Zoreiss

Aug 10, 2019 12:35 pm

reporter   ~0052522

Very good idea! Made marauders more annoying when they destroyed a neutered planet and then the AI would send an usurper wave and all the defenses would be back. Especialy on a high-tier planet on an important route. I would have to go kil the Usurper wave again and again to avoid that.

RocketAssistedPuffin

Aug 10, 2019 2:53 pm

developer   ~0052525

As requested in Discord.

ReconquestPrepared.save (441,888 bytes)

BadgerBadger

Aug 11, 2019 11:13 pm

manager   ~0052537

Democracy also notes that warp gates from reconquest still give AIP and should not.

BadgerBadger

Aug 15, 2019 9:53 am

manager   ~0052561

Fixed

Issue History

Date Modified Username Field Change
Aug 10, 2019 12:04 pm BadgerBadger New Issue
Aug 10, 2019 12:04 pm BadgerBadger Status new => assigned
Aug 10, 2019 12:04 pm BadgerBadger Assigned To => BadgerBadger
Aug 10, 2019 12:35 pm Zoreiss Note Added: 0052522
Aug 10, 2019 12:44 pm RocketAssistedPuffin Relationship added related to 0020968
Aug 10, 2019 2:53 pm RocketAssistedPuffin File Added: ReconquestPrepared.save
Aug 10, 2019 2:53 pm RocketAssistedPuffin Note Added: 0052525
Aug 11, 2019 11:13 pm BadgerBadger Note Added: 0052537
Aug 15, 2019 9:53 am BadgerBadger Status assigned => resolved
Aug 15, 2019 9:53 am BadgerBadger Resolution open => fixed
Aug 15, 2019 9:53 am BadgerBadger Fixed in Version => 0.882-0.883 Research and Reconquest
Aug 15, 2019 9:53 am BadgerBadger Note Added: 0052561